#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include <windows.h>
//---------------------------------------------------------------------------
#if !defined(__BORLANDC__)
// Watcom C++ does not have builtin bool type
typedef unsigned char bool;
const bool true = ~0;
const bool false = 0;
#endif

#define DEBUG 1

#include "Store.h"
#include "Eval.h"
#include "io.h"
#include "func.h"
#include "repl.h"


//---------------------------------------------------------------------------
// Special symbols and statically referenced cells
extern const LISP NIL;
extern LISP UNDEFINED;
extern LISP T;
extern LISP LAMBDA;
extern LISP DOT;
extern LISP __EOF;
extern LISP QUOTE;
//---------------------------------------------------------------------------
// Default memory sizes
extern int LispHeapSize;
extern int StackSize;
extern int StringSize;
// File to load at start (after init.lsp)
extern char* Source;
//---------------------------------------------------------------------------

